js_dealloc(3)

NAME
js_dealloc - allocate memory from the underlying OS

SYNOPSIS
#include JsStr.h

int js_dealloc(void *pointer)

DESCRIPTION
js_dealloc returns previously allocated memory back to the underlying OS.

ARGUMENTS
pointer is a pointer to the memory we wish to free up.

RETURN VALUE
js_dealloc returns JS_SUCCESS after deallocating the memory in question.

EXAMPLE
The following example allocates then deallocates 256 octets of memory.

	char *foo;
	foo = js_alloc(256,1);
	js_dealloc(foo);

NOTES
This function assumes that an allocated chunk of memory will not move in memory. On certain embedded systems, such as the Palm Pilot, allocated memory may move around in memory.

AUTHOR
Sam Trenholme <kiwi-zttfryb@koala.samiam.org>